## checkbox 0.7.1

=== debian/changelog ===
checkbox (0.7.1) jaunty; urgency=low

  * New Bugfix release (LP: #352389)
  * New icon
  * Fixed pygst dependency (LP: #334442)
  * Fixed configuration file updates during install (LP: #330596) and
    and DBus exceptions (LP: #344916)
  * Expanded and fixed translations (LP: #347038)

 -- Dave Murphy <schwuk@ubuntu.com>  Tue, 31 Mar 2009 13:54:12 +0100

checkbox (0.7) jaunty; urgency=low

  [ Dave Murphy ]
  * Fixed viewing of report files in Firefox 3 (LP: #331481)
  * Added additional contextual information
   * /etc/sysctl* (LP: #331055)
   * /etc/modprobe.d (LP: #331056)
   * /etc/modules (LP: #331057)
  * Fixed packaging for Jaunty
   * https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027439.html
   * Uses --install-layout=deb
   * Installs to dist-packages instead of site-packages

  [ Andy Whitcroft ]
  * suspend_test: update suspend_test to version V6 matching kernel version.
    The version here will become the master copy.
  * suspend_test: add a --dry-run mode to simplify developement
  * suspend_test: add a automation mode for checkbox integration
  * suspend_test: add a new pm-suspend test
  * suspend_test: record and restore timer_delay around the variable
    time test.
  * suspend_test: release v7.
  * suspend_test: initial version of suspend power consumption test
    from a patch by Pete Graner.
  * suspend_test: power -- made the sleep time configurable
  * suspend_test: detect batteries and disable ac/power tests
  * suspend_test: disable dbus tests when we have no primary user
  * suspend_test: handle AC transitions better
  * suspend_test: enable power test as part of --full
  * suspend_test: reduce the noise in the test instructions
  * suspend_test: use minutes in output when that is more appropriate
  * suspend_test: track actual AC transitions and report them
  * suspend_test: only mention AC at all if we have a battery
  * suspend_test: report useful data at the bottom for posting
  * suspend_test: document the new power test in the usage
  * suspend_test: power -- indicate when the result is unreliable
  * suspend_test: report -- fix up spacing issues
  * suspend_test: release v8

 -- Dave Murphy <schwuk@ubuntu.com>  Tue, 17 Mar 2009 09:46:16 +0000

checkbox (0.6) jaunty; urgency=low

  * New upstream version:
    * Added suspend_test script - for more details see:
      https://wiki.ubuntu.com/KernelTeam/SuspendResumeTesting
    * Added XSL Stylesheet and the ability to view generated reports
    * Added support for PolicyKit to run the application as a user
    * Added logging for backend and logrotation script.
  * Fixed calling ucf was run via debconf (LP: #330502)

 -- Marc Tardif <marc@ubuntu.com>  Tue, 17 Feb 2009 15:36:05 +0000

checkbox (0.5) jaunty; urgency=low

  * New upstream version:
    * Added concept of hyper text view to display clickable links.
    * Added concept of properties to components.
    * Added pci information to launchpad report.
    * Added dmi information to launchpad report.
    * Added text area to keyboard test.
    * Removed sourcing of base postrm script.
    * Updated translations from Launchpad.
  * Fixed handling of interrupt signal (LP: #327810)
  * Fixed display of text in graphical interface (LP: #240374)
  * Fixed support for regexes in blacklist and whitelist (LP: #327177)
  * Fixed opening of subunit log file (LP: #325737)
  * Fixed internet test.

 -- Marc Tardif <marc@ubuntu.com>  Tue, 20 Jan 2009 18:55:20 -0500

checkbox (0.4) jaunty; urgency=low

  * Setup bzr-builddeb in native mode.
  * Removed LGPL notice from the copyright file.

 -- Marc Tardif <marc@ubuntu.com>  Tue, 20 Jan 2009 16:46:15 -0500

checkbox (0.3) jaunty; urgency=low

  * New upstream version:
    * Renamed hwtest to checkbox.
    * Renamed auto tests to shell tests.
    * Added watch file.
    * Added README file pointing to the Ubuntu wiki.
    * Added subunit to the test suite.
    * Added the subunit_report plugin to produce a standard test report.
    * Added pvs registry.
    * Added support for int return values to recursive registry eval.
    * Added debug information when a command registry returns an error.
    * Added mounts registry.
    * Added patches to upgrade the configuration files.
    * Added support for CHECKBOX_OPTIONS environment variable.
    * Added usage information.
    * Added gconf registry.
    * Added logging to checkbox event.
    * Added locking plugin.
    * Added message store and schema types.
    * Added caching to automatic tests so that they are not run multiple
      times.
    * Added persistence to category and system_id.
    * Added lshw registry and plugin.
    * Added newlines to German introduction message.
  * Fixed e-mail address should be remembered (LP: #156725)
  * Fixed $output variable does not seem to be reinterpolated when
    testing again (LP: #189404)
  * Fixed command line interface does not provide a test nor test again
    option (LP: #189423)
  * Fixed translation template unavailable, even though hwtest is in main
    (LP: #202447)
  * Fixed internet_test should support providing a destination other
    than canonical.com (LP: #216111)
  * Fixed hwtest loads editor backup files from suite dir (LP: #237954)
  * Fixed application should only have one instance running (LP: #266899)
  * Fixed disk information should be gathered (LP: #267889)
  * Fixed typo: payback device (LP: #288331)
  * Fixed tests skipped by constraint should be reported (LP: #304176)
  * Fixed manual tests which have commands should not be run automatically
    (LP: #304231)
  * Fixed CHECKBOX_DATA mapping is not working (LP: #304736)

 -- Marc Tardif <marc@ubuntu.com>  Fri, 16 Jan 2009 12:05:32 -0500

hwtest (0.1-0ubuntu10) hardy; urgency=low

  * Fixed xalign and yalign in exchange summary.

 -- Marc Tardif <marc@interunion.ca>  Mon, 21 Apr 2008 15:07:39 -0400

hwtest (0.1-0ubuntu9) hardy; urgency=low

  * Fixed internet_test to ping default gateway rather than canonical.com.


## checkbox 0.18-0ubuntu3

=== checkbox-touch/Makefile ===
# More information: https://wiki.ubuntu.com/Touch/Testing
#
# Notes for autopilot tests:
# -----------------------------------------------------------
# In order to run autopilot tests:
# sudo apt-add-repository ppa:autopilot/ppa
# sudo apt-get update
# sudo apt-get install python-autopilot autopilot-qt
#############################################################

all:

autopilot:
	chmod +x tests/autopilot/run
	tests/autopilot/run

check:
	qmltestrunner -input tests/unit

run:
	/usr/bin/qmlscene $@ main.qml

## checkbox 0.7.2

=== debian/changelog ===
checkbox (0.7.2) jaunty-proposed; urgency=low

  * Fixed broken configuration patch (LP: #359440)
  * Fixed broken link to launchpad in report (LP: #354813)

 -- Marc Tardif <marc@ubuntu.com>  Tue, 14 Apr 2009 20:16:11 -0400

=== debian/control ===
Source: checkbox
Section: utils
Priority: optional
XSBC-Original-Maintainer: Marc Tardif <marc@ubuntu.com>
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Standards-Version: 3.7.3
XS-Python-Version: current
Build-Depends: cdbs (>= 0.4.43), debhelper (>= 5.0.37.2), python-central, python-dev (>= 2.4), po-debconf, python-distutils-extra
Vcs-Bzr: https://code.launchpad.net/~hardware-certification/checkbox/trunk

Package: checkbox
Section: python
Architecture: all
Replaces: hwtest (<< 0.1-0ubuntu12)
Provides: hwtest
Depends: ${misc:Depends}, ${python:Depends}, debconf, hal
Recommends: dpkg, hal, lsb-release, lshw, policykit, python-dbus, python-gst0.10
Conflicts: hwtest (<< 0.1-0ubuntu12)
XB-Python-Version: ${python:Versions}
Description: Checkbox System Testing
 This project provides an extensible interface for system testing. The
 results can then be sent to Launchpad.

Package: checkbox-cli
Architecture: all
Replaces: hwtest-cli (<< 0.1-0ubuntu12)
Provides: hwtest-cli
Depends: checkbox
Conflicts: hwtest-cli (<< 0.1-0ubuntu12)
XB-Python-Version: ${python:Versions}
Description: Checkbox CLI
 This project provides an extensible interface for system testing. The
 results can then be sent to Launchpad.
 .
 This package provides a command line interface for answering tests.

Package: checkbox-gtk
Section: gnome
Architecture: all
Replaces: hwtest-gtk (<< 0.1-0ubuntu12)
Provides: hwtest-gtk
Depends: checkbox, gksu, python-gtk2, python-glade2
Conflicts: hwtest-gtk (<< 0.1-0ubuntu12)
XB-Python-Version: ${python:Versions}
Description: Checkbox GTK Interface
 This project provides an extensible interface for system testing. The
 results can then be sent to Launchpad.
 .
 This package provides a GTK interface for answering tests.

Package: hwtest
Section: python
Architecture: all
Depends: checkbox
Description: Transitional package to checkbox
 This package is a transitional package for renaming hwtest to checkbox.

Package: hwtest-cli
Architecture: all
Depends: checkbox-cli
Description: Transitional package to checkbox-cli
 This package is a transitional package for renaming hwtest-cli to
 checkbox-cli.

Package: hwtest-gtk
Section: gnome
Architecture: all
Depends: checkbox-gtk
Description: Transitional package to checkbox-gtk
 This package is a transitional package for renaming hwtest-gtk to
 checkbox-gtk.

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM := pycentral

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

DEB_DH_INSTALL_SOURCEDIR := debian/tmp
DEB_PYTHON_INSTALL_ARGS_ALL := --no-compile --install-layout=deb

binary-install/checkbox::
	dh_link /etc/checkbox.d usr/share/checkbox/configs

build/checkbox-cli::
	cp debian/checkbox.postrm debian/checkbox-cli.postrm

build/checkbox-gtk::
	cp debian/checkbox.postrm debian/checkbox-gtk.postrm

build/hwtest-cli::
	cp debian/hwtest.postrm debian/hwtest-cli.postrm

build/hwtest-gtk::
	cp debian/hwtest.postrm debian/hwtest-gtk.postrm

binary-install/checkbox-gtk::
	dh_icons -p$(cdbs_curpkg)

clean::
	-find . -name \*.mo -exec rm {} \;
	-rm -f debian/checkbox-cli.postrm debian/checkbox-gtk.postrm
	-rm -f debian/hwtest-cli.postrm debian/hwtest-gtk.postrm
	debconf-updatepo

=== debian/watch ===
version=3
https://launchpad.net/checkbox/+download
https://launchpad.net/checkbox/.*/checkbox_(.+).tar.gz

## checkbox 0.8.5

=== debian/changelog ===
checkbox (0.8.5) karmic; urgency=low

  * Fixed translation of suites and tests files (LP: #456115)
  * Fixed checking the status of command registries (LP: #457502)
  * Fixed selecting suites in the command line (LP: #457559)
  * Fixed reporting of bugs to contain test description (LP: #427932)
  * Fixed execute permissions on scripts (LP: #459606)
  * Renamed processors_info plugin to singular because processor
    information is reported as a single structure with a count attribute
  * Updated translation files.

 -- Marc Tardif <marc@ubuntu.com>  Mon, 26 Oct 2009 12:17:30 -0400

checkbox (0.8.4) karmic; urgency=low

  * Fixed failing dependencies when not available (LP: #430051)
  * Fixed supporting udevadm not providing DEVPATH variable (LP: #430084)
  * Fixed supporting audio devices without a /proc/asound entry (LP: #430086)
  * Fixed running when python-apport package is not installed (LP: #430103)
  * Fixed X error when exiting after reporting a bug (LP: #430776)
  * Fixed prompting to report a bug according to GNOME HIG (LP: #429701)
  * Fixed prompting for answer in checkbox-cli (LP: #429764)
  * Fixed resolution_test message for fglrx driver (LP: #346816)
  * Fixed adding of manpage symlinks for gtk and cli (LP: #426641)
  * Fixed recovering from connecting to the backend (LP: #446693)
  * Fixed backend to use dbus instead of policykit (LP: #435714)
  * Fixed interpolation of output variable in cli (LP: #450673)
  * Fixed selection of suites in cli (LP: #450713)
  * Fixed parsing of virtio-pci devices (LP: #450774)

 -- Marc Tardif <marc@ubuntu.com>  Wed, 14 Oct 2009 11:22:06 -0400

checkbox (0.8.3) karmic; urgency=low

  * Fixed trailing newline requirement in test definitions (LP: #427993)
  * Fixed reporting firmware version as product name (LP: #428563)
  * Fixed detecting pci and usb audio devices (LP: #429558)
  * Fixed prompting to report a bug when there's no package (LP: #429668)

 -- Marc Tardif <marc@ubuntu.com>  Sat, 12 Sep 2009 15:37:40 -0400

checkbox (0.8.2) karmic; urgency=low

  * Fixed adding test information when reporting with apport (LP: #423798)
  * Fixed tagging bugs when reporting with apport (LP: #423799)
  * Fixed expressing package aliases for the linux package (LP: #423805)
  * Fixed detecting the disk category in devices (LP: #423864)
  * Fixed supporting apport symptoms when reporting bugs (LP: #424063)
  * Fixed gathering of dmi information for Launchpad report (LP: #424454)
  * Fixed tests using gksudo returning empty output (LP: #425284)

  [Javier Collado]
  * Fixed reporting of output in shell plugin (LP: #393894)

 -- Marc Tardif <marc@ubuntu.com>  Tue, 08 Sep 2009 23:01:38 -0400

checkbox (0.8.1-0ubuntu1) karmic; urgency=low

  * Disable bug filing about linux package as reports are not useful

 -- Brian Murray <brian@ubuntu.com>  Fri, 04 Sep 2009 16:54:02 -0700

checkbox (0.8.1) karmic; urgency=low

  * New upstream version:
    * Added disk tests.
    * Added fingerprint reader tests.
    * Added firewire tets.
    * Added kms tests.
    * Added media tests.
  * Fixed dependency on hal and using udev instead (LP: #399319)
  * Fixed calling ubuntu-bug when a test fails (LP: #418978)

 -- Marc Tardif <marc@ubuntu.com>  Tue, 26 Aug 2009 17:36:05 -0500

checkbox (0.8~alpha4) karmic; urgency=low

  * New upstream version:
    * Changed icon.
    * Added timeout property to lock_prompt plugin.
    * Added concept of attachments to tests.
    * Added support for backslahes in templates to wrap lines.
    * Added support blacklisting and whitelisting both tests and suites.
    * Introduced the concept of jobs for suites, tests and attachments.
    * Removed upstart event which is no longer needed.
    * Replaced architecture and category with requires in test definitions.
  * Fixed pygst dependency (LP: #334442)
  * Fixed configuration file updates during install (LP: #330596)
  * Fixed and expanded translations (LP: #347038)
  * Fixed ignored system proxy settings (LP: #345548)
  * Fixed parsing blank lines in templates (LP: #393907)
  * Fixed escaping of lists (LP: #394001)
  * Fixed timeout in manual tests (LP: #377986)
  * Fixed CLI interface dialog.
  * Fixed support for FreeDesktop XDG base directory specification (LP: #363549)
  * Added general and package specific apport hooks

  [ Gabor Keleman ]
  * Fixed untranslated strings in tests (LP: #374666)
  * Fixed untranslated last screen (LP: #374646)

 -- Marc Tardif <marc@ubuntu.com>  Wed, 19 Aug 2009 15:36:05 -0500

## checkbox 0.8.6

=== debian/changelog ===
checkbox (0.8.6) karmic-proposed; urgency=low

  * Added support for apport default configuration (LP: #465447)

 -- Marc Tardif <marc@ubuntu.com>  Wed, 04 Nov 2009 19:36:09 -0400

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
 Architecture: all
 Replaces: hwtest (<< 0.1-0ubuntu12)
 Provides: hwtest
-Depends: ${misc:Depends}, ${python:Depends}, debconf, hal
-Recommends: dpkg, hal, lsb-release, lshw, policykit, python-dbus, python-gst0.10
+Depends: ${misc:Depends}, ${python:Depends}, debconf, udev
+Recommends: dpkg, lsb-release, python-apport, python-dbus, python-gst0.10
 Conflicts: hwtest (<< 0.1-0ubuntu12)
 XB-Python-Version: ${python:Versions}
 Description: Checkbox System Testing
@@ -25,7 +25,7 @@
 Architecture: all
 Replaces: hwtest-cli (<< 0.1-0ubuntu12)
 Provides: hwtest-cli
-Depends: checkbox
+Depends: checkbox (= ${source:Version})
 Conflicts: hwtest-cli (<< 0.1-0ubuntu12)
 XB-Python-Version: ${python:Versions}
 Description: Checkbox CLI
@@ -39,7 +39,7 @@
 Architecture: all
 Replaces: hwtest-gtk (<< 0.1-0ubuntu12)
 Provides: hwtest-gtk
-Depends: checkbox, gksu, python-gtk2, python-glade2
+Depends: checkbox (= ${source:Version}), gksu, python-gtk2, python-glade2
 Conflicts: hwtest-gtk (<< 0.1-0ubuntu12)
 XB-Python-Version: ${python:Versions}
 Description: Checkbox GTK Interface

=== debian/rules ===
--- 
+++ 
@@ -8,9 +8,6 @@
 
 DEB_DH_INSTALL_SOURCEDIR := debian/tmp
 DEB_PYTHON_INSTALL_ARGS_ALL := --no-compile --install-layout=deb
-
-binary-install/checkbox::
-	dh_link /etc/checkbox.d usr/share/checkbox/configs
 
 build/checkbox-cli::
 	cp debian/checkbox.postrm debian/checkbox-cli.postrm

## checkbox 0.9.1

=== debian/changelog ===
checkbox (0.9.1) lucid; urgency=low

  New upstream release (LP: #548800):
  * Added cpu_scaling_test script.
  * Fixed hard drive detection (LP: #549714)
  * Fixed backend to handle empty messages (LP: #536645)
  * Fixed parsing of package resource (LP: #539691)
  * Fixed malformed xml report (LP: #485445)
  * Fixed running root manual tests as normal user (LP: #383559)
  * Fixed writing apport files only after submitting (LP: #530380)
  * Fixed audio test instructions (LP: #529205)
  * Fixed gathering chassis information (LP: #537435)
  * Fixed detection of disks in kvm (LP: #552998)
  * Fixed udev_resource script to be more resilient (LP: #552999)
  * Fixed filter_packages script to use new resources.

 -- Marc Tardif <marc@ubuntu.com>  Sun, 07 Mar 2010 15:05:44 -0400

checkbox (0.9) lucid; urgency=low

  [ Marc Tardif ]
  New upstream release (LP: #532882):
  * Introduced job_prompt plugin to treat all jobs (suites, tests, etc.) as composites.
  * Replaced the registry and resource scripts and centralized job iteration.
  * Replaced dependency on dbus by using sudo/gksu/kdesudo instead.
  * Replaced mktemp with mkdtemp for security purposes.
  * Fixed strings in fingerprint and modem tests (LP: #457759)
  * Fixed client side validation of Launchpad form (LP: #438671)
  * Added device information to tags when reporting bugs with apport.
  * Added shorthands for blacklist-file and whitelist-file.
  * Added support for apport default configuration (LP: #465447)
  * Added support for scrolled options list (LP: #411526)
  * Added support for tests generated by suites to run as root.
  * Added support for requirements in attachments.
  * Added support for armv7l processor
  * Added Autotest integration
  * Added LTP integration
  * Added Phoronix integration
  * Added qa-regression-testing integration

 -- Mathias Gug <mathiaz@ubuntu.com>  Tue, 09 Mar 2010 16:58:36 -0500

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Replaces: hwtest (<< 0.1-0ubuntu12)
 Provides: hwtest
 Depends: ${misc:Depends}, ${python:Depends}, debconf, udev
-Recommends: dpkg, lsb-release, python-apport, python-dbus, python-gst0.10
+Recommends: dpkg, lsb-release, python-apport, python-apt, python-gst0.10
 Conflicts: hwtest (<< 0.1-0ubuntu12)
 XB-Python-Version: ${python:Versions}
 Description: Checkbox System Testing

## checkbox 0.9.2

=== debian/changelog ===
checkbox (0.9.2) lucid-proposed; urgency=low

  New upstream release (LP: #567568):
  * Added referer when sending submissions to Launchpad (LP: #550973)
  * Added suggests to checkbox package in debian/control file (LP: #352740)
  * Fixed udev_resource script to be more resilient (LP: #556824)
  * Fixed cdimage_resource script to read casper.log (LP: #558728)
  * Fixed reporting all resources found for a job (LP: #560948)
  * Fixed stalling when using kdesudo to start backend (LP: #557443)
  * Fixed starting the appropriate default browser on UNR (LP: #563050)
  * Fixed opening the report with the gconf preferred browser (LP: #562580)
  * Fixed suspend_test to use relative time for wakealarm (LP: #349768)
  * Fixed backend not getting terminated upon closing (LP: #553328)

 -- Daniel Manrique <daniel.manrique@canonical.com>  Wed, 22 Jun 2011 14:18:08 -0400

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
 Provides: hwtest
 Depends: ${misc:Depends}, ${python:Depends}, debconf, udev
 Recommends: dpkg, lsb-release, python-apport, python-apt, python-gst0.10
+Suggests: checkbox-cli | checkbox-gtk
 Conflicts: hwtest (<< 0.1-0ubuntu12)
 XB-Python-Version: ${python:Versions}
 Description: Checkbox System Testing

## checkbox 0.10.3

=== debian/changelog ===
checkbox (0.10.3) maverick; urgency=low

  New upstream release (LP: #638333):
  * Fixed verification of SSL validity (LP: #625076)
  * Improved audio test questions.

 -- Marc Tardif <marc@ubuntu.com>  Tue, 14 Sep 2010 12:43:51 -0400

checkbox (0.10.2) maverick; urgency=low

  New upstream release (LP: #617583):
  * Fixed sleep_test to check the connection if using network-manager.
  * Fixed reporting bugs against alsa-base and xorg (LP: #607214)
  * Fixed apport dialog no longer appearing (LP: #607217)
  * Reduced data file size for the desktop image.
  * Updated report to be more pretty.

 -- Marc Tardif <marc@ubuntu.com>  Fri, 13 Aug 2010 16:23:16 -0400

checkbox (0.10.1) maverick; urgency=low

  New upstream release (LP: #597295):
  * Added support for urwid interface.
  * Added sound check test.
  * Added document viewer test.
  * Added update-manager and nautilus tests.
  * Added resolution tests.
  * Added sleep tests.

 -- Marc Tardif <marc@ubuntu.com>  Tue, 22 Jun 2010 10:43:52 -0400

checkbox (0.10) maverick; urgency=low

  New upstream release (LP: #585132):
  * Added media tests (LP: #397944)
  * Added support for comments in templates.
  * Added referer when sending submissions to Launchpad (LP: #550973)
  * Added suggests to checkbox package in debian/control file (LP: #352740)
  * Fixed udev_resource script to be more resilient (LP: #556824)
  * Fixed cdimage_resource script to read casper.log (LP: #558728)
  * Fixed reporting all resources found for a job (LP: #560948)
  * Fixed stalling when using kdesudo to start backend (LP: #557443)
  * Fixed starting the appropriate default browser on UNR (LP: #563050)
  * Fixed ansi_parser script when outputting to stdout (LP: #560952)
  * Fixed opening the report with the gconf preferred browser (LP: #562580)
  * Fixed suspend_test to use relative time for wakealarm (LP: #349768)
  * Fixed backend not getting terminated upon closing (LP: #553328)

 -- Marc Tardif <marc@ubuntu.com>  Tue, 06 Apr 2010 14:17:46 -0400

=== debian/control ===
--- 
+++ 
@@ -35,6 +35,16 @@
  .
  This package provides a command line interface for answering tests.
 
+Package: checkbox-urwid
+Architecture: all
+Depends: checkbox (= ${source:Version}), python-urwid
+XB-Python-Version: ${python:Versions}
+Description: Checkbox Urwid CLI
+ This project provides an extensible interface for system testing. The
+ results can then be sent to Launchpad.
+ .
+ This package provides a command line interface (urwid version) for answering tests.
+
 Package: checkbox-gtk
 Section: gnome
 Architecture: all

## checkbox 0.11.3

=== debian/changelog ===
checkbox (0.11.3) natty; urgency=low

  New upstream release (LP: #751928)
  * Fixed sleep_test crashing with ioerror (LP: #630785)
  * Fixed keyerror when running some manual tests (LP: #729431)

  [Ara Pulido]
  * Video bugs should be reported as a display symptom (LP: #744964)
  * Added checkbox log to apport report

 -- Marc Tardif <marc@ubuntu.com>  Tue, 05 Apr 2011 16:19:17 -0400

checkbox (0.11.2) natty; urgency=low

  New upstream release (LP: #736919):
  * Added version to dpkg dependency
  * Added multiarch support to install script (LP: #727411)
  * Fixed submitting data twice (LP: #531010)
  * Fixed job descriptions for checkbox-cli (LP: #221400)

  [Daniel Manrique]
  * Fixed strings in audio tests and updated pot file (LP: #691241)

  [Jochen Kemnade]
  * Fixed grammar in user-apps tests (LP: #642001)

  [Jeff Lane]
  * Added reboot instructions to suspend/hibernate tests (LP: #420493)
  * Made the firewire instructions make more sense (LP: #693068)
  
  [Michael Terry]
  * Fixed several strings appear in English although translated (LP: #514401)
    - jobs/fingerprint.txt.in
    - jobs/media.txt.in
    - jobs/monitor.txt.in
    - jobs/sleep.txt.in
    - jobs/firewire.txt.in
    - po/checkbox.pot
  * Fixed grammar (LP: #525454)
    + jobs/fingerprint.txt.in

 -- Marc Tardif <marc@ubuntu.com>  Thu, 17 Mar 2011 11:15:12 -0400

checkbox (0.11.1) natty; urgency=low

  New upstream release (LP: #725110):
  * Checking for lock file before firing stop-all event (LP: #719552)
  * Changed description of nautilus_file_copy job (LP: #709688)

  [Javier Collado]
  * Fixed title in progress dialog

 -- Marc Tardif <marc@ubuntu.com>  Wed, 02 Mar 2011 10:50:36 +0100

checkbox (0.11) natty; urgency=low

  New upstream release (LP: #719073):
  * Changed support for persist plugin as optional (LP: #561816)

  [Ara Pulido]
  * Fixed lintian errors and warnings

  [Eitan Isaacson]
  * Migrate the UI from libglade to gtkbuilder

 -- Marc Tardif <marc@ubuntu.com>  Mon, 14 Feb 2011 18:19:27 -0500

checkbox (0.10.4) natty; urgency=low

  * Added Marc Tardif's Fixed parsing of config parameters (LP: #689140)

 -- Marc Legris <marc.legris@canonical.com>  Thu, 06 Jan 2011 09:51:37 -0500

checkbox (0.10.3ubuntu1) natty; urgency=low

  * Hack to work around internals of ConfigParser in python2.7. LP: #689140.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 15 Dec 2010 13:05:20 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Standards-Version: 3.7.3
 XS-Python-Version: current
-Build-Depends: cdbs (>= 0.4.43), debhelper (>= 5.0.37.2), python-central, python-dev (>= 2.4), po-debconf, python-distutils-extra
+Build-Depends: cdbs (>= 0.4.43), debhelper (>= 5.0.51~), python-central, python (>= 2.4), po-debconf, python-distutils-extra
 Vcs-Bzr: https://code.launchpad.net/~hardware-certification/checkbox/trunk
 
 Package: checkbox
@@ -14,11 +14,11 @@
 Replaces: hwtest (<< 0.1-0ubuntu12)
 Provides: hwtest
 Depends: ${misc:Depends}, ${python:Depends}, debconf, udev
-Recommends: dpkg, lsb-release, python-apport, python-apt, python-gst0.10
+Recommends: dpkg (>= 1.13), lsb-release, pm-utils, python-apport, python-apt, python-gst0.10
 Suggests: checkbox-cli | checkbox-gtk
 Conflicts: hwtest (<< 0.1-0ubuntu12)
 XB-Python-Version: ${python:Versions}
-Description: Checkbox System Testing
+Description: System testing application 
  This project provides an extensible interface for system testing. The
  results can then be sent to Launchpad.
 
@@ -29,7 +29,7 @@
 Depends: checkbox (= ${source:Version})
 Conflicts: hwtest-cli (<< 0.1-0ubuntu12)
 XB-Python-Version: ${python:Versions}
-Description: Checkbox CLI
+Description: Command line interface for checkbox 
  This project provides an extensible interface for system testing. The
  results can then be sent to Launchpad.
  .
@@ -39,21 +39,22 @@
 Architecture: all
 Depends: checkbox (= ${source:Version}), python-urwid
 XB-Python-Version: ${python:Versions}
-Description: Checkbox Urwid CLI
+Description: Urwid interface for checkbox 
  This project provides an extensible interface for system testing. The
  results can then be sent to Launchpad.
  .
- This package provides a command line interface (urwid version) for answering tests.
+ This package provides a command line interface (urwid version) for 
+ answering tests.
 
 Package: checkbox-gtk
 Section: gnome
 Architecture: all
 Replaces: hwtest-gtk (<< 0.1-0ubuntu12)
 Provides: hwtest-gtk
-Depends: checkbox (= ${source:Version}), gksu, python-gtk2, python-glade2
+Depends: checkbox (= ${source:Version}), gksu, python-gtk2
 Conflicts: hwtest-gtk (<< 0.1-0ubuntu12)
 XB-Python-Version: ${python:Versions}
-Description: Checkbox GTK Interface
+Description: GTK interface for checkbox
  This project provides an extensible interface for system testing. The
  results can then be sent to Launchpad.
  .

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,9 @@
 
 build/checkbox-cli::
 	cp debian/checkbox.postrm debian/checkbox-cli.postrm
+
+build/checkbox-urwid::
+	cp debian/checkbox.postrm debian/checkbox-urwid.postrm
 
 build/checkbox-gtk::
 	cp debian/checkbox.postrm debian/checkbox-gtk.postrm
@@ -26,6 +29,6 @@
 
 clean::
 	-find . -name \*.mo -exec rm {} \;
-	-rm -f debian/checkbox-cli.postrm debian/checkbox-gtk.postrm
+	-rm -f debian/checkbox-cli.postrm debian/checkbox-urwid.postrm debian/checkbox-gtk.postrm
 	-rm -f debian/hwtest-cli.postrm debian/hwtest-gtk.postrm
 	debconf-updatepo

## checkbox 0.12.8

=== debian/changelog ===
checkbox (0.12.8) oneiric; urgency=low

  New upstream release (LP: #862579):

  [Brendan Donegan]
  * Remove test for FTP connection from network_check script (LP: #854222)
  * Update a parameter in usb_test to have it run faster.
  * Remove record_playback_after_suspend from Ubuntu Friendly whitelist (LP: #855540)
  * Fix minor typo in multi-monitor friendly resolution_test script which caused 
    minimum_resolution test to fail (LP: #855599)
  * Remove storage_devices_test from Ubuntu Friendly whitelist since bonnie++  (which it uses) is not installed by default (LP: #855841)
  * Changed description and name to reflect Ubuntu Friendly branding. Now when a user searches for Ubuntu Friendly in the lens, Checkbox will appear (LP: #852036)
  * Reset the selections at the test suite prompt if No is selected at the recover prompt (LP: #861208)
  * Save the connection name(s) instead of the interface name so that they can be reconnected to properly after the wireless before/after suspend tests have completed (LP: #861502)
  * Make connect_wireless use the UUID of the connection instead of the name for greater reliability (LP: #862190)

  [Daniel Manrique]
  * Restored _recover attribute, re-enabling welcome and test selection
    screens (LP: #852204)
  * Remove memory/test from the Ubuntu Friendly whitelist (LP: #853799)
  * Use diff instead of grep, better comparing of empty files (LP: #852014)
  * Apport integration: new mandatory "tag" value in ApportOptions (LP: #852201)
  * Add warning prior to starting the tests (LP: #855328)
  * Apport integration: Fix instantiation of Gtk.RadioButton, needed due 
    to PyGI related API changes (LP: #805679)
  * Remove ping -R parameter that apparently caused ICMP packets to be dropped
    by some routers (LP: #861404)

  [ Evan Broder ]
  * Replace resolution_test with an implementation which uses GdkScreen to
    be multimonitor-aware (LP: #632987)

  [Jeff Lane]
  * Fix names of optical drive tests and remove a non-existing test from the
    whitelist (LP: #854808) 
  * Fix wireless_*_suspend jobs so they recreate iface file instead of append
    each time (LP: #855845)
    (LP: #852201)
  * Clarify better the intend of the is_laptop question (LP: #861844)
  * Fixed dependencies for tests that depend on suspend/suspend_advanced 
    (LP: #860651)

  [Tim Chen]
  * Fix cpu_scaling_test (LP: #811177)
 
  [Ara Pulido]
  * Avoid connect_wireless messing with AP with similar names (LP: #861538)
  * Remove bluetooth/file-transfer from the list of tests to run, since due to
    bug 834348 it always fails.

  [Marc Tardif]
  * Added support for wildcards when verifying the transport certificate.
  * Applying depends across suites (LP: #861218)

 -- Daniel Manrique <daniel.manrique@canonical.com>  Thu, 29 Sep 2011 13:12:01 -0400

checkbox (0.12.7) oneiric; urgency=low

  New upstream release (LP: #850395):

  [Brendan Donegan]
  * Redirecting stderr to pipe to fix the gconf_resource script (LP: #832321)
  * Clear jobs directory when user selects No to recover question (LP: #836623)

  [Daniel Manrique]
  * checkbox/job.py: Guard against bogus timeout values (LP: #827859)
  * More explicit handling of string decoding/encoding, avoids problems with
    non-ascii characters (LP: #833747)
  * Changed architecture from all to any for checkbox base, to build
    architecture-specific binaries (LP: #833696)

  [Jeff Lane]
  * Several corrections necessary due to test name changes or typos found in
    job files

  [Marc Tardif]
  * Connecting hyper text widgets only once (LP: #827904)
  * Detecting MMC readers as OTHER instead of DISK (LP: #822948)
  * Validating the hostname in the SSL certificate (LP: #625076)
  * Validating the submission.xml (LP: #838123)

 -- Daniel Manrique <daniel.manrique@canonical.com>  Fri, 14 Sep 2011 17:15:26 -0400

checkbox (0.12.6) oneiric; urgency=low

  New upstream release (LP: #841983):

  [ Daniel Manrique ]
  * Work around PyGTK API changes that kept checkbox from starting up
    (LP: #839675).

 -- Daniel Manrique <daniel.manrique@canonical.com>  Mon, 05 Sep 2011 12:47:58 -0400

checkbox (0.12.5) oneiric; urgency=low

  New upstream release (LP: #838745):

  [Ara Pulido]
  * Created a "suspend" suite and renamed relevant tests.

  [Brendan Donegan]
  * Removed redundant tests in power-management suite.
  * Fixed dependencies in power-management suite.

  [Daniel Manrique]
  * Changed name of apt-get test to reflect the suite it's in.
  * Fixed typos in job definitions that caused them to not be run.
  * Added missing description to info/hdparm test (LP: #832351)
  * Quote command to obtain bluetooth address, to avoid hanging if 
    a device is not present (LP: #836756).
  * Added BLUETOOTH category to udev parser.
  * Removed some tests from default whitelist.
  * Fixed dependencies for keys/sleep.
  
  [Jeff Lane]
  * Added new USB storage transfer test
  * Re-worked and added automated audio test

  [Marc Tardif]
  * Added WIRELESS category to udev parser.

 -- Ara Pulido <ara@ubuntu.com>  Thu, 01 Sep 2011 12:23:07 +0100

checkbox (0.12.4) oneiric; urgency=low

  New upstream release (LP: #824180):

  [Brendan Donegan]
  * Refactored job definition files.
  * Fixed dependencies and test naming.
  * Added Online CPU before/after suspend test.
  * Automated wireless tests.
  * Removed redundant sru_suite.txt, updated dependencies accordingly.
  * Automated bluetooth_obex tests.

  [Daniel Manrique]
  * Further improvements to make frontend/backend communication more reliable.
    Prevents stuck backends, failure to close the GUI due to lack of reply
    from the backend, and test specifying "user" not being run.
  * scripts/keyboard_test modified to account for pygi-related GTK API
    changes. (LP: #804369)
  * scripts/sleep_test: improve handling of NetworkManager DBus API
    changes. (LP: #808423)
  * scripts/cdimage_resource: properly handle releases with "LTS" in their
    name (LP: #814085)


=== debian/rules ===
#!/usr/bin/make -f

%:
	dh "$@" --with translations,python2

override_dh_installdeb:
	cp debian/checkbox.postrm debian/checkbox-cli.postrm
	cp debian/checkbox.postrm debian/checkbox-urwid.postrm
	cp debian/checkbox.postrm debian/checkbox-gtk.postrm
	cp debian/hwtest.postrm debian/hwtest-cli.postrm
	cp debian/hwtest.postrm debian/hwtest-gtk.postrm
	dh_installdeb

override_dh_installdocs:
	dh_installdocs -pcheckbox ./README 
	dh_installdocs -pcheckbox-cli ./README 
	dh_installdocs -pcheckbox-urwid ./README 
	dh_installdocs -pcheckbox-gtk ./README 
	dh_installdocs -phwtest ./README 
	dh_installdocs -phwtest-cli ./README 
	dh_installdocs -phwtest-gtk ./README 
	dh_installdocs

override_dh_clean:
	-find . -name \*.mo -exec rm {} \;
	-rm -f debian/checkbox-cli.postrm debian/checkbox-urwid.postrm debian/checkbox-gtk.postrm
	-rm -f debian/hwtest-cli.postrm debian/hwtest-gtk.postrm
	debconf-updatepo
	dh_clean

## checkbox 0.12.10

=== debian/changelog ===
checkbox (0.12.10) oneiric-proposed; urgency=low

   [Brendan Donegan]  
   * Have the bluetooth/detect tests require a device with the category
     BLUETOOTH to run, thus preventing the test from failing on systems with
     no Bluetooth device (LP: #862322)
   * Remove fix for bug 877752 on connect_wireless, as it was not working as
     intended.

 -- Daniel Manrique <daniel.manrique@canonical.com>  Tue, 07 Feb 2012 15:30:36 -0500

checkbox (0.12.9) oneiric-proposed; urgency=low

   [Brendan Donegan]  
   * Ensure that connect_wireless chooses a wireless connection from the list
     of available connections (LP: #877752)
   * Have the bluetooth/detect tests require a device with the category
     BLUETOOTH to run, thus preventing the test from failing on systems with
     no Bluetooth device (LP: #862322)
   * Guard against trying to write files to logical partitions on USB sticks
     (which will obviously fail) in usb_test (LP: #887049)
   * Allow input/mouse test to run if a TOUCH device is present
     (LP: #886129)
   * Flush file descriptors and sync disk before running a test (LP: #814801)

  [Daniel Manrique]
  * Move progress indicator to main checkbox dialog instead of a 
    transient window (LP: #868995)

 -- Daniel Manrique <daniel.manrique@canonical.com>  Fri, 02 Dec 2011 16:49:05 -0500

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,19 @@
 XSBC-Original-Maintainer: Marc Tardif <marc@ubuntu.com>
 Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Standards-Version: 3.7.3
-XS-Python-Version: current
-Build-Depends: cdbs (>= 0.4.43), debhelper (>= 5.0.51~), python-central, python (>= 2.4), po-debconf, python-distutils-extra
+X-Python-Version: >= 2.6
+Build-Depends: debhelper (>= 7.0.50~), dh-translations, python (>= 2.6.6-3~), po-debconf, python-distutils-extra
 Vcs-Bzr: https://code.launchpad.net/~hardware-certification/checkbox/trunk
 
 Package: checkbox
 Section: python
-Architecture: all
+Architecture: any
 Replaces: hwtest (<< 0.1-0ubuntu12)
 Provides: hwtest
-Depends: ${misc:Depends}, ${python:Depends}, debconf, udev
-Recommends: dpkg (>= 1.13), lsb-release, pm-utils, python-apport, python-apt, python-gst0.10
-Suggests: checkbox-cli | checkbox-gtk
+Depends: ${misc:Depends}, ${python:Depends}, debconf, python-libxml2, udev
+Recommends: dpkg (>= 1.13), lsb-release, pm-utils, python-apport, python-apt, python-dateutil, python-gst0.10
+Suggests: checkbox-cli | checkbox-gtk, bonnie++, bootchart, bzr, cvs, ethtool, flex, fwts, git-core, hdparm, lshw, make, nmap, obexd-client, python-pexpect, smartmontools, sox, stress, wodim
 Conflicts: hwtest (<< 0.1-0ubuntu12)
-XB-Python-Version: ${python:Versions}
 Description: System testing application 
  This project provides an extensible interface for system testing. The
  results can then be sent to Launchpad.
@@ -28,7 +27,6 @@
 Provides: hwtest-cli
 Depends: checkbox (= ${source:Version})
 Conflicts: hwtest-cli (<< 0.1-0ubuntu12)
-XB-Python-Version: ${python:Versions}
 Description: Command line interface for checkbox 
  This project provides an extensible interface for system testing. The
  results can then be sent to Launchpad.
@@ -38,7 +36,6 @@
 Package: checkbox-urwid
 Architecture: all
 Depends: checkbox (= ${source:Version}), python-urwid
-XB-Python-Version: ${python:Versions}
 Description: Urwid interface for checkbox 
  This project provides an extensible interface for system testing. The
  results can then be sent to Launchpad.
@@ -51,9 +48,8 @@
 Architecture: all
 Replaces: hwtest-gtk (<< 0.1-0ubuntu12)
 Provides: hwtest-gtk
-Depends: checkbox (= ${source:Version}), gksu, python-gtk2
+Depends: checkbox (= ${source:Version}), gksu, python-gobject (>= 2.28), gir1.2-gtk-3.0
 Conflicts: hwtest-gtk (<< 0.1-0ubuntu12)
-XB-Python-Version: ${python:Versions}
 Description: GTK interface for checkbox
  This project provides an extensible interface for system testing. The
  results can then be sent to Launchpad.

## checkbox 0.13.7

=== debian/changelog ===
checkbox (0.13.7) precise; urgency=low

  * New upstream release (LP: #980063)

  * Automated translation file updates from Launchpad

  [Jeff Lane]
  * qt/checkbox-qt.ui, qt/frontend/qtfront.cpp: Converted
    submissionWarningLabel and text to submissionUbuntuFriendlyLabel wtih
    instructional text for submitting results. This is a workaround for the
    bug causing the warning to be displayed at all times rather than only when
    testing is incomplete. (LP: #967457)
  * jobs/networking.txt.in: Removed dhclient call from networking/multi_nic
    tests because of a bug in dhclient that can cause it to hang when run on
    eth0. New test requirement will be that the tester must configure and
    bring up all ethernet devices prior to running checkbox. Also added a
    check to make sure we're not trying to run the test on a device that's not
    active. (LP: #926229)

  [Tiago Salem Herrmann]
  * checkbox_qt/qt_interface.py, qt/frontend/qtfront.cpp,
    qt/frontend/qtfront.h: Do async calls to some ui methods and avoid
    unexpected dbus timeouts (LP: #962333)

  [Sylvain Pineau]
  * qt/frontend/qtfront.cpp: Submit/View results buttons are disabled until
    every selected test has been run (LP: #937715)

  [Daniel Manrique]
  * jobs/optical.txt.in: Change test descriptions to avoid confusing
    instruction to press the "Next" button (which is incorrect). (LP: #971181)
  * jobs/local.txt.in: Fixed touchpad local job which was using suspend.txt 
    as the job source) (LP: #979344) 
  * jobs/mediacards.txt.in: Added usb and scsi devices to
    removable_storage_test commands (LP: #979356)
 
 -- Daniel Manrique <roadmr@ubuntu.com>  Wed, 11 Apr 2012 17:20:37 -0400

checkbox (0.13.6) precise; urgency=low

  * New upstream release (LP: #971889)

  * Automated translation file updates from Launchpad

  [Marc Tardif]
  * Fixed string_to_type conversion in network_bandwidth_test (LP: #954587)

  [Daniel Manrique]
  * Internationalization support in checkbox-qt; updated checkbox.pot file
    (LP: #951054) 

 -- Daniel Manrique <roadmr@ubuntu.com>  Mon, 02 Apr 2012 15:22:05 -0400

checkbox (0.13.5) precise; urgency=low

  * New upstream release (LP: #960633)

  * Automated translation file updates from Launchpad

  [Tiago Salem Herrmann]
  * qt/frontend/qtfront.ui: If the test text is too long, then it is cut off
    (LP: #950111)
  * checkbox_qt/qt_interface.py, qt/frontend/qtfront.cpp,
    qt/frontend/qtfront.h, qt/frontend/qtfront.ui: add a popup comment box
    for each test under the "Run" tab. (LP: #959452)
  * checkbox/user_interface.py, qt/frontend/qtfront.cpp,
    qt/frontend/qtfront.h, checkbox_qt/qt_interface.py: Set
    interface.direction to NEXT if all the tests were executed and the user
    either analyzed or submitted the results. (LP: #956329)
  * checkbox/user_interface.py, plugins/user_interface.py,
    qt/frontend/qtfront.cpp, qt/frontend/qtfront.h,
    checkbox_qt/qt_interface.py: Use the ui persistent storage to keep some ui
    configuration values. (LP: #937626)
  * checkbox/user_interface.py: Avoid using fork() + call() to run a web
    browser. Use Popen instead.(LP: #956307)
  * qt/frontend/qtfront.ui, qt/frontend/qtfront.cpp, qt/frontend/qtfront.h:
    Removed welcome tab (LP: #957090)

  [Jeff Lane]
  * Reset default checkbox log level to INFO from DEBUG to make logs less
    confusing and verbose. (LP: #949745) 
  * Removed dependency on bluetooth/detect-output on the
    suspend/suspend_advanced job. (LP: #955375)
  * jobs/mediacard.txt.in, scripts/removable_storage_test,
    scripts/removable_storage_watcher: Modified removable_storage_watcher and
    removable_storage_test to accept list of busses to watch to resolve
    problems on systems with MMC readers that present themselves as USB
    devices rather than SDIO (LP: #953160)
  * jobs/optical.txt.in: Fixed the job descriptions for optical/read and
    optical/cdrom-audio-playback to account for changes in Precise and make
    them less confusing (LP: #954606)

  [Marc Tardif]
  * Linted qt_interface which had a few syntax errors (LP: #949957)
  * plugins/apport_prompt.py: Fixed apport integration was producing a trace
    (LP: #959463)

  [Daniel Manrique]
  * Bumped revision number to 0.13.5 in trunk
  * jobs/keys.txt.in: Fix definition for keys/media-keys test which failed to
    run (LP: #954480)

  [Sylvain Pineau]
  * Show the UF invalidation warning if all test cases are unchecked from the
    right click menu (LP: #956757)
  * checkbox_qt/qt_interface.py, qt/frontend/qtfront.cpp,
    qt/frontend/qtfront.h: Tests now select Yes on PASS status (LP: #954556)

 -- Daniel Manrique <roadmr@ubuntu.com>  Tue, 20 Mar 2012 17:33:17 -0400

checkbox (0.13.4) precise; urgency=low

  * New upstream release (LP: #949983)

  * Automated translation file updates from Launchpad

  [Javier Collado]
  * plugins/jobs_info.py: Checkbox doesn't warn that invalid whitelist patterns
    are being used (LP: #937651)

  [Brendan Donegan]
  * Added 'scsi' as a valid bus ID for determining product in udevadm.py
    (LP: #940249)
  * Added 'cciss' as a valid bus ID for determining product in udevadm.py
    (LP: #942548)
  * Updated command fields in composite disk jobs to address the ! in
    some disk paths (LP: #942769)
  * Updated create_connection to poll for registration of connection and
    then attempt to bring it up (LP: #944662)
  * Fixed command run by wireless_connection tests so that they fail if the
    internet_test fails, but still clean up the connection file (LP: #944176)
  * Fixed wireless_connection_open_* jobs to not provide security options
    (LP: #947163)

  [Javier Collado]
  * Added python-cairo as a dependency for checkbox-gtk (LP: #940163)

  [Marc Tardif]
  * Tidied up logic for determining DISK device product and vendor
    (LP: #942548)
  * Fixed filename matching expression for local jobs (LP: #942273)
  * Fixed duplicate System Testing applications after upgrade (LP: #940627)

  [Tim Chen]
